%define major	0
%define libname	%mklibname %{name} %{major}
%define	devname	%mklibname -d %{name} %{major}

Name:		zbar
Summary:	Bar Code Reader software suite for reading bar codes from various sources
Version:	0.10
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics	
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://sourceforge.net/projects/%{name}/
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	gtk+2-devel
BuildRequires:  pygtk2.0-devel
BuildRequires:	qt4-devel
BuildRequires:	imagemagick-devel

%description
ZBar Bar Code Reader is an open source software suite for reading bar
codes from various sources, such as video streams, image files and raw
intensity sensors. It supports EAN-13/UPC-A, UPC-E, EAN-8, Code 128,
Code 39, Interleaved 2 of 5 and QR Code.  Included with the library
are basic applications for decoding captured bar code images and using
a video device (eg, webcam) as a bar code scanner.  For application
developers, language bindings are included for C, C++, Python and Perl
as well as GUI widgets for Qt, GTK and PyGTK.

%package -n %{libname}
Summary: ZBAR Libraries
Group: Graphics
	
%description -n %{libname}
Libraries for the ZBar Bar Code Reader

%package -n %{devname}
Summary: ZBAR Development headers and libraries
Group: Development/Other
Provides: %{name}-devel
Requires: %{libname}

%description -n %{devname}
Development headers and libraries for the ZBar Bar Code Reader

%package -n python-%{name}
Summary: Python bindings for ZBAR
Group: Graphics
	
%description -n python-%{name}
Python bindings for the ZBar Bar Code Reader

%files
%defattr(-,root,root)
%{_bindir}/zbarimg
%doc %{_datadir}/doc/%{name}/*
%{_mandir}/man1/zbarimg.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libzbar.so.0
%{_libdir}/libzbar.so.0.2.0
%{_libdir}/libzbargtk.so.0
%{_libdir}/libzbargtk.so.0.0.2
%{_libdir}/libzbarqt.so.0
%{_libdir}/libzbarqt.so.0.0.2

%files -n python-%{name}
%defattr(-,root,root)
%{py_platsitedir}/zbar.so
%{py_platsitedir}/zbarpygtk.so

%files -n %{devname}
%defattr(-,root,root)
%dir %{_includedir}/zbar
%{_includedir}/zbar.h
%{_includedir}/zbar/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libzbar.a
%{_libdir}/libzbar.so
%{_libdir}/libzbargtk.a
%{_libdir}/libzbargtk.so
%{_libdir}/libzbarqt.a
%{_libdir}/libzbarqt.so


#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-video

%make

%install
rm -rf %{buildroot}
%makeinstall_std 

# remove .la files
find %{buildroot} -name '*.la' | xargs rm -f

%clean
rm -fr %{buildroot}




%changelog

* Tue Sep 13 2011 fwang <fwang> 0.10-2.mga2
+ Revision: 142854
- rebuild for imagemagick

* Mon Jun 27 2011 stewb <stewb> 0.10-1.mga2
+ Revision: 114752
- forgot imagemagick-devel buildrequires
- imported package zbar

